Subject: [bug#67516] [PATCH] aclocal: handle both # and dnl for serial number lines

From: Mike Frysinger <[email-masked]>
Date: Fri, 1 Dec 2023 15:10:02 -0500

On 28 Nov 2023 16:27, Nick Bowler wrote:
> On 2023-11-28 16:06, Karl Berry wrote:
> > Hi Ross - you sent a change to automake-patches back in February 2017.
> > Sorry for the absurdly delayed reply.
> > 
> >     https://lists.gnu.org/archive/html/automake-patches/2017-02/msg00001.html
> > 
> >     Instead of only accepting comment lines that start with # for serial
> >     lines, also accept dnl.
> >     ...
> >     -my $serial_line_rx = '^#\s*serial\s+(\S*)';
> >     +my $serial_line_rx = '^(?:#|dnl)\s*serial\s+(\S*)';
> > 
> > While there's no technical problem with the patch, I'm not sure
> > supporting dnl is desirable. It seems better for the serial line to
> > always end up in whatever file is generated, for the sake of debugging
> > and documentation, instead of being eliminated at m4-time. If there was
> > a specific case where it was better to eliminate it, please describe ...
> 
> This shouldn't make any difference.  In all "normal" uses of aclocal
> everything in these files is going to be diverted to KILL anyway so
> neither form should result in any output text going into configure.
> 
> And with respect to how aclocal imports macro files into a project
> (either as separate files w/ --install, or directly into aclocal.m4),
> it just copies files verbatim so it doesn't matter what syntax is used.
> 
> But by the same token there would seem to be no technical reason to
> prefer dnl over #...

only angle of concern i can think of is that people are using dnl in their code
without realizing it's basically silently ignored.  if we don't want to support
dnl, we should prob be chatty about it at some log level.
-mike